Bug 637868 - Rename request: meego-panel-pasteboard - MeeGo Panel for Paste Board
Rename request: meego-panel-pasteboard - MeeGo Panel for Paste Board
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo12
  Show dependency treegraph
 
Reported: 2010-09-27 12:15 EDT by Peter Robinson
Modified: 2010-11-03 03:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 03:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michel Alexandre Salim 2010-10-22 11:36:59 EDT
Two things to fix:
- license should probably be GPLv2+
- nobody owns the panels directory. mutter-meego should probably do this

* TODO Review [80%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** DONE Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
** DONE source files match upstream
** TODO License [2/3]
*** DONE License is Fedora-approved
*** FAIL License field accurate
      License is GPLv2+ *not* LGPLv2+
*** DONE License included iff packaged by upstream
** DONE rpmlint [2/2]
*** DONE on src.rpm
    meego-panel-pasteboard.src:3: W: macro-in-comment %{version}
    meego-panel-pasteboard.src:3: W: macro-in-comment %{version}
    meego-panel-pasteboard.src:3: W: macro-in-comment %{name}
    meego-panel-pasteboard.src:3: W: macro-in-comment %{version}

    => harmless, but inconsistent: sometimes meego-panel-pasteboard is
    replaced with %{name}, sometimes not

    meego-panel-pasteboard.src: W: no-buildroot-tag

    => ignore; MeeGo only targeting recent Fedora versions

    meego-panel-pasteboard.src: W: invalid-url Source0:
    meego-panel-pasteboard-0.0.8.tar.bz2
    1 packages and 0 specfiles checked; 0 errors, 6 warnings.

    blame upstream :) hopefully soon we can use VCS URLs as source

*** DONE on x86_64.rpm
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.
** DONE Language & locale [3/3]
*** DONE Spec in US English
*** DONE Spec legible
*** DONE Use %find_lang to handle locale files
** TODO Build [2/3]
*** DONE Koji results
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2549253
*** DONE BRs complete
*** FAIL Directory ownership
    Nobody owns %{_datadir}/mutter-meego/panels -- should mutter-meego own it?
** DONE Spec inspection [9/9]
*** N/A ldconfig for libraries
*** DONE No duplicate files
*** DONE File permissions
*** DONE Filenames must be UTF-8
*** DONE Has %clean section
    note: %clean section can be removed on F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
*** DONE %buildroot cleaned on %install
*** DONE Macro usage consistent
*** DONE Documentation [2/2]
**** N/A If large docs, separate -doc
**** DONE %doc files are non-essential
*** N/A Development
** N/A Desktop file validation
** N/A [[http://fedoraproject.org/wiki/Packaging/ScriptletSnippets][Scriptlets]]
Comment 2 Peter Robinson 2010-10-23 07:44:10 EDT
(In reply to comment #1)
> Two things to fix:
> - license should probably be GPLv2+

Fixed locally, can upload a new copy if deemed necessary.

> - nobody owns the panels directory. mutter-meego should probably do this

Fixed in mutter-meego-0.76.5-4.fc15
Comment 3 Michel Alexandre Salim 2010-10-31 10:58:56 EDT
In which case the review is complete. On to the next component...
Comment 4 Peter Robinson 2010-10-31 17:45:04 EDT
New Package GIT Request
=======================
Package Name: meego-panel-pasteboard
Short Description: MeeGo Panel for Paste Board
Owners: pbrobinson
Branches: F-14
InitialCC:
Comment 5 Kevin Fenzi 2010-11-03 00:00:22 EDT
Git done (by process-git-requests).
Comment 6 Peter Robinson 2010-11-03 03:57:16 EDT
build in rawhide. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.